;;;; -*- Mode: Lisp; -*-
;;;; *************************************************************************
;;;; Copyright (C) 2011 Roger Grantham
;;;; 
;;;; All rights reserved.
;;;; 
;;;; This file is part of Grammaticus.
;;;; 
;;;; Grammaticus is free software: you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License as published by 
;;;; the Free Software Foundation, either version 3 of the License, or    
;;;; (at your option) any later version.                                  
;;;; 
;;;; Grammaticus is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;; 
;;;; You should have received a copy of the GNU General Public License
;;;; along with Grammaticus.  If not, see <http://www.gnu.org/licenses/>.
;;;; 
;;;; *************************************************************************
;;;;
;;;; Grammaticus System Definition 
;;;;
;;;; $Id:$
;;;;
;;;; *************************************************************************

(in-package :common-lisp-user)
(require 'unit-test)

(defpackage :grammaticus-system
  (:use :cl :asdf)
  (:export :load-grammaticus :run-tests))

(in-package :grammaticus-system)

(asdf:defsystem :grammaticus
  :name "Grammaticus"
  :author "Roger Grantham <grantham@member.fsf.org>"
  :version "0.0.1"
  :maintainer "Roger Grantham <grantham@member.fsf.org>"
  :license "GNU GENERAL PUBLIC LICENSE Version 3"
  :description "NLP Tools for analysis of Latin texts and Latin education."
  :long-description "Grammaticus provides: 1. a tokenizer for Latin
    texts, 2. morphological analyzer for Latin, ..."
  :pathname (merge-pathnames
	     "src/"
	     (make-pathname :name nil :type nil :defaults *load-truename*))
  :components
  ((:file "grammaticus-packages")
   (:file "tokenizer" :depends-on ("grammaticus-packages"))
   ))

(asdf:defsystem :grammaticus-test
  :name "Grammaticus Tests"
  :description "Tests for Grammaticus"
  :components ((unit-test:unit-test-files "test/*-test.lisp"))
  :depends-on (:grammaticus))


(defun load-grammaticus ()
  (asdf:operate 'asdf:load-op :grammaticus))

(defun run-tests ()
  (asdf:operate 'asdf:load-op :grammaticus-test))