;;;; -*- Mode: Lisp; -*-
;;;; *************************************************************************
;;;; Copyright (C) 2011 Roger Grantham
;;;; 
;;;; All rights reserved.
;;;; 
;;;; This file is part of Grammaticus.
;;;; 
;;;; Grammaticus is free software: you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License as published by 
;;;; the Free Software Foundation, either version 3 of the License, or    
;;;; (at your option) any later version.                                  
;;;; 
;;;; Grammaticus is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;; 
;;;; You should have received a copy of the GNU General Public License
;;;; along with Grammaticus.  If not, see <http://www.gnu.org/licenses/>.
;;;; 
;;;; *************************************************************************
;;;;
;;;; Grammaticus System Definition 
;;;;
;;;; $Id:$
;;;;
;;;; *************************************************************************

(in-package :grammaticus-tokenizer)


(unit-test:def-test (token-stream-test)
  (with-input-from-string (istream "arma   .virumque- cano")
    (let ((token-stream (make-token-stream istream)))
      (unit-test:assert-t token-stream)
      (unit-test:assert-eql '|arma| (read-token token-stream))
      (unit-test:assert-eql '|.| (read-token token-stream))
      (unit-test:assert-eql '|virumque| (read-token token-stream))
      (unit-test:assert-eql '|-| (read-token token-stream))
      (unit-test:assert-eql '|cano| (read-token token-stream))
      (unit-test:assert-nil (read-token token-stream))
)))

(unit-test:def-test (read-raw-word-test)
  (with-input-from-string (istream "   arma .;virumque    cano-Troiae")
    (unit-test:assert-equalp "arma" (read-raw-word istream))
    (unit-test:assert-equalp "." (read-raw-word istream))
    (unit-test:assert-equalp ";" (read-raw-word istream))
    (unit-test:assert-equalp "virumque" (read-raw-word istream))
    (unit-test:assert-equalp "cano" (read-raw-word istream))
    (unit-test:assert-equalp "-" (read-raw-word istream))
    (unit-test:assert-equalp "Troiae" (read-raw-word istream))
    (unit-test:assert-nil (read-raw-word istream))
))


